<header>
    <div class="container">
        <h1>{{questionnaire.title}}</h1>
        <h3>{{questionnaire.description}}</h3>
    </div>
</header>
<main>
    <div class="container">

        <app-question-stepper #stepper
        [hidden]="(result$ | async) !== undefined"
        [questions]="questionnaire.questions"
        (results)="finishQuestionnaire($event)"></app-question-stepper>

        <ng-container *ngIf="result$ | async as result">
            <h2>{{result.title}}</h2>
            <p>{{result.description}}</p>
            <button (click)="restart()">Start again</button>
        </ng-container>

    </div>
</main>
